Subject: [bug#42634] [PATCH 0/3] Add image-type support.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 24 Sep 2020 17:34:20 +0200

Hi!

Mathieu Othacehe <[email-masked]> skribis:

> I think this is close to what Ludo suggested and it addresses janneke concerns
> about composability.
>
> The idea is to introduce the concept of "image-type". An image type is a
> converter from an <operating-system> record to an <image> record.
>
> I have created in this serie 4 new image type records:
> - raw
> - iso9660
> - uncompressed-iso9660
> - hurd-raw
>
> I also adapted the "guix system" command by removing the "file-system-type"
> argument and replaced it by the "image-type" argument.
>
> The default is still to create a raw disk-image, but one can now call:
>
> guix system disk-image -t iso9660 my-config.scm
> guix system disk-image -t uncompressed-iso9660 my-config.scm
> guix system disk-image -t hurd-raw my-config.scm

Neat!

> and so on. Maybe we should also rename "disk-image" command to "image" that
> would be somehow more accurate.

Yes.  We can do that separately, but I agree that it would make sense.

I wonder if ‘docker-image’ could also fit in there.

Apologies for taking so long to reply!

Ludo’.